> This page is for Applications Protection.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.humansecurity.com/llms.txt.

# Update script status

PUT https://api-gw.perimeterx.com/v1/pci/status/scripts
Content-Type: application/json

Update the status of a script with the given script keys.


Reference: https://docs.humansecurity.com/applications/reference/update-script-status

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a putScriptStatus.

- `scriptKeys` (list of string, required) — An array of script keys whose statuses should be modified.
- `status` (enum, required) — The status that the script should be updated to.
  - Allowed values: `authorized`, `unreviewed`, `to_be_removed`, `under_review`, `archived`
- `justification` (string, optional) — The reason why the status was updated. Updates the **Script justification** field in PCS DSS. Defaults to the vendor description if it exists.
- `note` (string, optional) — Additional information about the authorization.
- `applyJustificationToAll` (boolean, optional, default: false) — If true, will update all specified scripts with the justification. If false, will only update scripts that do not already have a justification.

## Response

### 200

Success

- `updated_scripts_count` (integer, optional)

## Errors

### 401 Unauthorized Error

Access token is missing or invalid.

- `any`

### 422 Unprocessable Entity Error

Invalid or missing parameters.

- `any`

### 500 Internal Server Error

Internal error. Contact HUMAN if the error persists.

- `any`

## Examples

**Request**

```json
{
  "scriptKeys": [
    "aaa111bbb222ccc333ddd444",
    "eee555fff666ggg777hhh888"
  ],
  "status": "authorized"
}
```

**Response**

```json
{
  "updated_scripts_count": 1
}
```

**SDK Code**

```python
import requests

url = "https://api-gw.perimeterx.com/v1/pci/status/scripts"

payload = {
    "scriptKeys": ["aaa111bbb222ccc333ddd444", "eee555fff666ggg777hhh888"],
    "status": "authorized"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-gw.perimeterx.com/v1/pci/status/scripts';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"scriptKeys":["aaa111bbb222ccc333ddd444","eee555fff666ggg777hhh888"],"status":"authorized"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gw.perimeterx.com/v1/pci/status/scripts"

	payload := strings.NewReader("{\n  \"scriptKeys\": [\n    \"aaa111bbb222ccc333ddd444\",\n    \"eee555fff666ggg777hhh888\"\n  ],\n  \"status\": \"authorized\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-gw.perimeterx.com/v1/pci/status/scripts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"scriptKeys\": [\n    \"aaa111bbb222ccc333ddd444\",\n    \"eee555fff666ggg777hhh888\"\n  ],\n  \"status\": \"authorized\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api-gw.perimeterx.com/v1/pci/status/scripts")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"scriptKeys\": [\n    \"aaa111bbb222ccc333ddd444\",\n    \"eee555fff666ggg777hhh888\"\n  ],\n  \"status\": \"authorized\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api-gw.perimeterx.com/v1/pci/status/scripts', [
  'body' => '{
  "scriptKeys": [
    "aaa111bbb222ccc333ddd444",
    "eee555fff666ggg777hhh888"
  ],
  "status": "authorized"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-gw.perimeterx.com/v1/pci/status/scripts");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"scriptKeys\": [\n    \"aaa111bbb222ccc333ddd444\",\n    \"eee555fff666ggg777hhh888\"\n  ],\n  \"status\": \"authorized\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "scriptKeys": ["aaa111bbb222ccc333ddd444", "eee555fff666ggg777hhh888"],
  "status": "authorized"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gw.perimeterx.com/v1/pci/status/scripts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```